<?






/*
$sql = "SELECT * FROM LIPRESUP WHERE NUMERO='$num_presup' ORDER BY PRECIO DESC";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
//print odbc_result_all($result,"border=1");
$precio_total = 0;
while ($row = odbc_fetch_array($result)) {
*/

//conectamos a la base de datos y extraemos el presupuesto con el número
//require ("includes/comunes2.php");



		
		

if ($idioma==1) {
$condiciones_presupuesto = "Este presupuesto es aproximado, puede sufrir variaciones dependiendo de la zona geográfica, desplazamientos, distancias recorridas y horas entre inicio y final.";
}
elseif ($idioma==2) {
$condiciones_presupuesto = "This budget is approximate, may be variations depending on your geographic location, movements, distance travelled and hours between the beginning and end.";
}
elseif ($idioma==3) {
$condiciones_presupuesto = "Cette quotation est aproximative, elle peut souffrir des variations en dépendant de la zone géographique, déplacements, distances parcourus et heures entre début et final.";
}

//tenemos que extraer las 3 imágenes para mostrar y el texto
/*
$rsql = mysql_query("SELECT * FROM flota WHERE cod_coche='$cod_coche' AND mostrar='' LIMIT 1");
while ($row = mysql_fetch_array($rsql)) {
	
	$texto = $row['texto'];
	$titulo = $row['modelo'];
	//esto debo extraerlo de abajo
	
}
*/


//=============================================================================
//=============================================================================
//Mostramos los datos en pantalla
$sql="Select TOP 1 * from ntari WHERE CODIGO='$tipo_servicio'";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
while ($row = odbc_fetch_array($result)) {
	$tipo_servicio = $row['NOMBRE'];
}

//con esto mostramos los datos, 
$sql = "SELECT * FROM LIPRESUP WHERE NUMERO='$num_presup' ORDER BY PRECIO DESC";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
while ($row = odbc_fetch_array($result)) {
	$tipo_servicio = $row['DESCCON'];
}

$sql="SELECT * FROM POTENCIALES WHERE NUMERO like'$num_potencial'";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
while ($row = odbc_fetch_array($result)) {
	$nombre = $row['NOMBRE'];
}

//sacamos los datos del coche
$sql="Select * from vehiculo1 WHERE CODIINT like '".$tipo_coche."'";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
while ($row = odbc_fetch_array($result)) {
	$marca = $row['MARCA'].' '.$row['MODELO'];
	$id_des = $row['ID_DES'];
	$id_vehiculo = $row['CODIINT'];
}
$nombre_servicio = $nombre_servicio;


///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////7

$cod_coche = $id_vehiculo;

$sql="SELECT * FROM vehiculo1 WHERE CODIINT='$cod_coche'";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
//print odbc_result_all($result,"border=1");



while ($row = odbc_fetch_array($result)) {
	
	//echo $row['CODIGO'].' - '.$row['NOMBRE'].'<br />';
	
	
	//el id del nombre
	$id_nombre = $row['ID_NOM'];
	$rsql = "SELECT * FROM IDIOMA_TRADUCCION WHERE IDIOMA='$idioma' AND ID_REG='$id_nombre'";
	$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
	while ($fila = odbc_fetch_array($results)) {
		$titulo = utf8_encode($fila['TRADUCCION']);
	}
	
	//id del texto
	$id_texto = $row['ID_DES'];
	$rsql = "SELECT * FROM IDIOMA_TRADUCCION WHERE IDIOMA='$idioma' AND ID_REG='$id_texto'";
	$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
	while ($fila = odbc_fetch_array($results)) {
		$texto = utf8_encode($fila['TRADUCCION']);
	}
	
	
}

//---------------------------------------------------------------------------------------------------------




require('fpdf.php');
//require ("includes/comunes.php");
$pdf=new FPDF();
$pdf->SetTitle($titulo);
$pdf->AddPage();
$pdf->SetAutoPageBreak(0,0);


$pdf->SetFont('arial','B',12);
$pdf->SetTextColor(154,132,83);
$pdf->SetDrawColor(0,0,0);
$pdf->SetXY(22,25);
$pdf->Cell(175,10,utf8_decode($titulo),1,2,'C',1);

//dibujamos el recuadro
$pdf->SetLineWidth(0.5);
$pdf->Rect(22,25,175,242,'D');



if (is_file('flota/'.$id_vehiculo.'_1.jpg')) {
$pdf->Image('flota/'.$id_vehiculo.'_1.jpg',58,40,105,0);
}

if (is_file('flota/'.$id_vehiculo.'_2.jpg')) {
$pdf->Image('flota/'.$id_vehiculo.'_2.jpg',28,108,50,0);
}

if (is_file('flota/'.$id_vehiculo.'_3.jpg')) {
$pdf->Image('flota/'.$id_vehiculo.'_3.jpg',141,108,50,0);
}


$pdf->SetTextColor(0,0,0);
$pdf->SetFont('arial','B',7);
$pdf->SetXY(81,109);
$pdf->MultiCell(57,3,utf8_decode($texto),0);

//la linea
//$pdf->Line(22,145,197,145);
$inicio_fila = 145;
$salto_linea = 5;
//datos e importe del presupuesto
$pdf->SetTextColor(0,0,0);
$pdf->SetXY(25,$inicio_fila);
$pdf->SetFont('arial','B',8);
$pdf->Cell(35,6,_PREPDF_PRESUPUESTO.' Nº:',0,0,'L');
$pdf->SetFont('arial','',8);
$pdf->Cell(50,6,$num_presup,0,0,'L');

//$pdf->SetXY(25,162);
$pdf->SetFont('arial','B',8);
$pdf->Cell(35,6,_PREPDF_TIPOSERV.':',0,0,'L');
$pdf->SetFont('arial','',8);
$pdf->Cell(50,6,$nombre_servicio,0,0,'L');


$inicio_fila += $salto_linea;

$pdf->SetXY(25,$inicio_fila);
$pdf->SetFont('arial','B',8);
$pdf->Cell(35,6,_PREPDF_CLIENTE.':',0,0,'L');
$pdf->SetFont('arial','',8);

$pdf->Cell(50,6,strtoupper($nombre),0,0,'L');


if (isset($nif_cif)) {
//$pdf->SetXY(25,$inicio_fila);
$pdf->SetFont('arial','B',8);
$pdf->Cell(35,6,'D.N.I/C.I.F.:',0,0,'L');
$pdf->SetFont('arial','',8);
$pdf->Cell(50,6,$nif_cif,0,0,'L');
}


//inicio servicio
$inicio_fila += $salto_linea;

$pdf->SetXY(25,$inicio_fila);
$pdf->SetFont('arial','B',8);
$pdf->Cell(85,6,_PREPDF_INICIOSERV,0,0,'C');


$pdf->SetFont('arial','B',8);
$pdf->Cell(85,6,_PREPDF_FINSERV,0,0,'C');


$inicio_fila += $salto_linea;

//fecha y hora de inicio
$pdf->SetXY(25,$inicio_fila);
$pdf->SetFont('arial','B',8);
$pdf->Cell(21,6,_PREPDF_FECHA.':',0,0,'L');
$pdf->SetFont('arial','',8);
$fecha_presup = explode("-",$fecha_presup);
$fecha_presup = $fecha_presup[2]."/".$fecha_presup[1]."/".$fecha_presup[0];
$pdf->Cell(21,6,$fecha_presup,0,0,'L');
$pdf->SetFont('arial','B',8);
$pdf->Cell(21,6,_PREPDF_HORA.':',0,0,'L');
$pdf->SetFont('arial','',8);
$pdf->Cell(21,6,$hora_presup,0,0,'L');

//fecha y hora final
$pdf->SetFont('arial','B',8);
$pdf->Cell(21,6,_PREPDF_FECHA.':',0,0,'L');
$pdf->SetFont('arial','',8);
$fin_fecha_presup = explode("-",$fin_fecha_presup);
$fin_fecha_presup = $fin_fecha_presup[2]."/".$fin_fecha_presup[1]."/".$fin_fecha_presup[0];
$pdf->Cell(21,6,$fin_fecha_presup,0,0,'L');
$pdf->SetFont('arial','B',8);
$pdf->Cell(21,6,_PREPDF_HORA.':',0,0,'L');
$pdf->SetFont('arial','',8);
$pdf->Cell(21,6,$fin_hora_presup,0,0,'L');

$inicio_fila += $salto_linea;

$pdf->SetXY(25,$inicio_fila);
$pdf->SetFont('arial','B',8);
$pdf->Cell(21,6,_PREPDF_LUGAR.':',0,0,'L');
$pdf->SetFont('arial','',8);
$pdf->Cell(63,6,''.limitaCaracteres($direccion,30).', '.$numero,0,0,'L');

if ($direccion_fin=="") {$direccion_fin = "- -";}
else {
if ($hora_fin!="") {$direccion_fin .= ", ".$numero_fin;}
}

$pdf->SetFont('arial','B',8);
$pdf->Cell(21,6,_PREPDF_LUGAR.':',0,0,'L');
$pdf->SetFont('arial','',8);
$pdf->Cell(63,6,$direccion_fin,0,0,'L');	

$inicio_fila += $salto_linea;

if ($cpostal=="") {$cpostal = "- -";}
else {
	if ($ciudad!="") {$cpostal .= " - ".$ciudad;}
	if ($provincia!="") {$cpostal .= " (".$provincia.")";}
}

$pdf->SetXY(25,$inicio_fila);
$pdf->SetFont('arial','B',8);
$pdf->Cell(21,6,' ',0,0,'L');
$pdf->SetFont('arial','',8);
$pdf->Cell(63,6,$cpostal,0,0,'L');

if ($cpostal_fin=="") {$cpostal_fin = "- -";}
else {
	if ($ciudad_fin!="") {$cpostal_fin .= " - ".$ciudad_fin;}
	if ($provincia_fin!="") {$cpostal_fin .= " (".$provincia_fin.")";}
}

$pdf->SetFont('arial','B',8);
$pdf->Cell(21,6,' ',0,0,'L');
$pdf->SetFont('arial','',8);
//$pdf->Cell(63,6,$cpostal_fin.' - '.$ciudad_fin.' ('.$provincia_fin.')',0,0,'L');
$pdf->Cell(63,6,$cpostal_fin,0,0,'L');

//cajas para inicio y fin de servicio

//inicio
$pdf->SetLineWidth(0.2);
$fin_caja_inicio = $inicio_fila - 155 + 6;
$pdf->Rect(25,155,80,$fin_caja_inicio,'D');
//fin
$pdf->Rect(109,155,85,$fin_caja_inicio,'D');

/*
$pdf->SetXY(25,$inicio_fila);
$pdf->SetFont('arial','B',8);
$pdf->Cell(40,6,'Dia:',0,0,'L');
$pdf->SetFont('arial','',8);
$pdf->Cell(80,6,$dia.' de '.dame_nombre_mes_cas($mes).' de '.$ano.' a las '.$hora.':'.$minuto.' Horas',0,2,'L');



$pdf->SetXY(25,174);
$pdf->SetFont('arial','B',8);
$pdf->Cell(40,6,'Inicio:',0,0,'L');
$pdf->SetFont('arial','',8);
$pdf->Cell(80,6,$direccion.', '.$numero.' - '.$ciudad.', '.$provincia,0,2,'L');
*/


//a partir de aqui pondrá de forma dinámica los conceptos facturables
$inicio_fila = 178;
$salto_linea = 5;

for ($i=0;$i<$n_precios;++$i) {
	
	$pdf->SetXY(25,$inicio_fila);
	$pdf->SetFont('arial','B',8);
	$pdf->Cell(60,6,$concepto[$i],0,0,'L');
	$pdf->SetFont('arial','',8);
	$pdf->Cell(20,6,$precio_pdf[$i].' €',0,2,'R');
	
	
	$inicio_fila += $salto_linea;
}
//base imponible
$pdf->SetXY(25,$inicio_fila);
	$pdf->SetFont('arial','B',8);
	$pdf->Cell(60,6,_PREPDF_BASE,'T',0,'L');
	$pdf->SetFont('arial','',8);
	$pdf->Cell(20,6,$precio_total.' €','T',2,'R');
	
	$inicio_fila += $salto_linea;
	
	$pdf->SetXY(25,$inicio_fila);
	$pdf->SetFont('arial','B',8);
	$pdf->Cell(60,6,'I.V.A.(7%)',0,0,'L');
	$pdf->SetFont('arial','',8);
	$pdf->Cell(20,6,$iva.' €',0,2,'R');
	
	$inicio_fila += $salto_linea;
	
	$pdf->SetXY(25,$inicio_fila);
	$pdf->SetFont('arial','B',8);
	$pdf->Cell(60,6,_PREPDF_TOTAL,0,0,'L');
	$pdf->SetFont('arial','',8);
	$pdf->Cell(20,6,$precio.' €',0,2,'R');
	
	$inicio_fila += $salto_linea;

/*
$pdf->SetXY(25,180);
$pdf->SetFont('arial','B',8);
$pdf->Cell(40,6,'Importe:',0,0,'L');
$pdf->SetFont('arial','',8);
$pdf->Cell(80,6,$importe.' €',0,2,'L');

$pdf->SetXY(25,186);
$pdf->SetFont('arial','B',8);
$pdf->Cell(40,6,'IVA (7%):',0,0,'L');
$pdf->SetFont('arial','',8);
$pdf->Cell(80,6,redondeado($iva,2).' €',0,2,'L');

$pdf->SetXY(25,192);
$pdf->SetFont('arial','B',8);
$pdf->Cell(40,6,'TOTAL:',0,0,'L');
$pdf->SetFont('arial','',8);
$pdf->Cell(80,6,$precio.' €',0,2,'L');
*/




//pie de página
$pdf->Image('images/pie_1.jpg',128,216,65,0);

$pdf->SetTextColor(0,0,0);
$pdf->SetFillColor(154,132,83);
$pdf->SetXY(22.4,239.8);
$pdf->SetFont('arial','B',8);
$pdf->Cell(174.2,5,'(+34) 902 44 45 16 - (+34) 968 44 45 16        ',0,2,'R',1);

$pdf->Image('images/pie_3.jpg',125,245,70,0);




//condiciones tarifa
$pdf->SetXY(25,$inicio_fila);
$pdf->SetFont('arial','',6);
$pdf->MultiCell(165,3,'* '.utf8_decode($condiciones),0,'L',0);

$inicio_fila += $salto_linea;

//dibujamos el recuadro
$fin_caja = ($inicio_fila-178) - $salto_linea;
$pdf->SetLineWidth(0.2);
$pdf->Rect(25,178,80,$fin_caja,'D');



//condiciones
$pdf->SetXY(20.5,268);
$pdf->SetFont('arial','',6);
$pdf->MultiCell(0,3,'* '.$condiciones_presupuesto,0,'L',0);

$pdf->Output('pdf_presup/presupuesto_'.$num_presup.'.pdf');








////////////////////

?>